### Function

# ECal time_year_begin_with_zone

#### Declaration [src]

    time_t
    time_year_begin_with_zone (
      time_t time,
      const ICalTimezone* zone
    )

#### Description [src]

Returns the start of the year containing the given time_t, using the given timezone. NOTE: this function is only here to make the transition to the timezone functions easier. New code should use ICalTime values and `i_cal_time_adjust()` to add or subtract days, hours, minutes & seconds.

#### Parameters

`time`

  Type: `time_t`

  A time_t value.

`zone`

  Type: `None`

  Timezone to use.

  The data is owned by the caller of the function.

#### Return value

Type: `time_t`

The beginning of the year.